Bug 436753 - (cdargs-review) Review Request: cdargs - The shell cd with bookmarks and browser
Review Request: cdargs - The shell cd with bookmarks and browser
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-10 05:26 EDT by Milos Jakubicek
Modified: 2008-03-26 13:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-26 13:51:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Milos Jakubicek 2008-03-10 05:26:07 EDT
Spec URL: http://www.fi.muni.cz/~xjakub/cdargs/cdargs.spec
SRPM URL: http://www.fi.muni.cz/~xjakub/cdargs/cdargs-1.35-1.fc8.src.rpm
Description: Enables the user to quickly change working directory by navigating cd arguments and expanding the shell built-in cd with bookmarks and browser.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=507658

I'm just not sure whether the emacs subpackage is handled well (do not use emacs at all). It is a bit unclear for me from the packaging guidelines for emacs whether there must/should be two subpackages (one for GNU emacs, one for Xemacs) or if it is ok how it is done now (one subpackage for GNU emacs).
Comment 1 Marek Mahut 2008-03-25 16:12:20 EDT
[+] source files match upstream (50be618d67f0b9f2439526193c69c567)
[+] latest version is being packaged
[-] package meets naming and versioning guidelines
    - Summary for "emacs-cdargs" does not start with capital letter
[+] dist tag is present
[+] build root is correct
[+] license field matches the actual license (GPLv2+) and is open source-compatible
[+] BuildRequires are proper
[+] compiler flags are appropriate (using fortify source)
[+] %clean is present
[+] package builds in mock (dist-f9, dist-f8)
[++] package looks sane

Please correct the cosmetic issue with capital letter in summary of emacs-cdargs.

This package is APPROVED.

Comment 2 Milos Jakubicek 2008-03-25 18:29:07 EDT
>Please correct the cosmetic issue with capital letter in summary of emacs-cdargs.

Fixed, thanks!

New Spec URL: http://www.fi.muni.cz/~xjakub/cdargs/cdargs.spec
New SRPM URL: http://www.fi.muni.cz/~xjakub/cdargs/cdargs-1.35-2.fc8.src.rpm

New Package CVS Request
=======================
Package Name: cdargs
Short Description: The shell cd with bookmarks and browser
Owners: mjakubicek
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-03-26 12:00:01 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.